import crafttweaker.api.item.IItemStack;
import crafttweaker.api.ingredient.IIngredient;
import crafttweaker.api.data.IData;
import crafttweaker.api.data.ListData;
import stdlib.List;

function addFusionCraft(uniqueID: string, catalyst: IIngredient, items: IIngredient[], itemOut: IItemStack, powerRequired: int): void {
	var ingredients = new List<IData>();
	//var CCingredients = new IIngredient[](items.length + 1);
	//CCingredients[0] = catalyst;
	for i, item in items {
		ingredients.add(item);
		//CCingredients[i+1] = item;
	}
	val DEdata = {
		"type": "draconicevolution:fusion_crafting",
		"catalyst": catalyst as IData,
		"ingredients": new ListData(ingredients),
		"result": itemOut as IData,
		"tier": "DRACONIC",
		"total_energy": powerRequired
	} as IData;
	<recipetype:draconicevolution:fusion_crafting>.addJsonRecipe("fusion_crafting_" + uniqueID, DEdata);
	//mods.extendedcrafting.CombinationCrafting.addRecipe(uniqueID, itemOut, powerRequired, CCingredients as IIngredient[]);
}

function addDiscRecipe(uniqueID: string, catalyst: IIngredient, itemOut: IItemStack): void {
	val vinylPlate = <item:chemlib:polyvinyl_chloride_plate>;
	val arcaneEssence = <item:mna:vinteum_dust>;
	addFusionCraft(uniqueID, catalyst, [vinylPlate, vinylPlate, vinylPlate, vinylPlate, vinylPlate, vinylPlate, vinylPlate, vinylPlate, arcaneEssence], itemOut, 50000);
}
